
From: Anton Blanchard <anton@samba.org>

From: Alan Modra <amodra@bigpond.net.au>

Give the kernel an OPD section, required for recent ppc64 toolchains.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/vmlinux.lds.S |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/vmlinux.lds.S~ppc64-give-the-kernel-an-opd-section arch/ppc64/kernel/vmlinux.lds.S
--- 25/arch/ppc64/kernel/vmlinux.lds.S~ppc64-give-the-kernel-an-opd-section	2004-09-11 16:29:32.775571080 -0700
+++ 25-akpm/arch/ppc64/kernel/vmlinux.lds.S	2004-09-11 16:29:32.778570624 -0700
@@ -117,10 +117,13 @@ SECTIONS
 
   .data : {
 	*(.data .data.rel* .toc1)
-	*(.opd)
 	*(.branch_lt)
 	}
 
+  .opd : {
+	*(.opd)
+	}
+
   .got : {
 	__toc_start = .;
 	*(.got)
_
